XTA and engine 0.83

XTA and engine 0.83

Hearken back to the days of yore and enjoy the first major Spring module!

Moderators: Moderators, Content Developer

Post Reply
User avatar
knorke
Posts: 7971
Joined: 22 Feb 2006, 01:02

XTA and engine 0.83

Post by knorke » 11 Jul 2011, 21:24

y u no work!!
SetUnitLineage must be removed, it is used in several places and ie after the commander can not move anymore after upgrading due to lua errors

http://springrts.com/phpbb/viewtopic.ph ... 8&p=493353 etc
0 x

User avatar
Jools
XTA Developer
Posts: 2804
Joined: 23 Feb 2009, 16:29

Re: XTA and engine 0.83

Post by Jools » 12 Jul 2011, 00:55

Why was setunitlineage removed? How do we now set the lineage to a morphed commander then?
0 x

User avatar
zwzsg
Kernel Panic Co-Developer
Posts: 7014
Joined: 16 Nov 2004, 13:08

Re: XTA and engine 0.83

Post by zwzsg » 12 Jul 2011, 03:13

Anyway it's not like lineage matters since game end condition is removed too....
0 x

User avatar
Jools
XTA Developer
Posts: 2804
Joined: 23 Feb 2009, 16:29

Re: XTA and engine 0.83

Post by Jools » 12 Jul 2011, 16:19

Ok, that's a good explanation.

Do we need to make all widgets backwards compatible? I believe 0.83 has a new function that is called "Spring.PlaySoundStream()", which I believe isn't supported in previous versions. How do I check for a spring version, is there a function such as "Spring.getVersion()" ?
0 x

User avatar
hoijui
Former Engine Dev
Posts: 4342
Joined: 22 Sep 2007, 09:51

Re: XTA and engine 0.83

Post by hoijui » 12 Jul 2011, 19:23

yes there is. there are at least two even, and they are documented on the wiki.
0 x

User avatar
Jools
XTA Developer
Posts: 2804
Joined: 23 Feb 2009, 16:29

Re: XTA and engine 0.83

Post by Jools » 12 Jul 2011, 19:26

Okay, but it turned out the PlaySoundStream works already, it's just that it doesn't work with a mono vorbis file (needs stereo), whereas PlaySoundFile does work with that.

That's not documented in the wiki and took me some time to sort out ;)
0 x

Post Reply

Return to “XTA”